Bug 506186 - Review Request: perl-p5-Palm - Palm OS utility functions
Review Request: perl-p5-Palm - Palm OS utility functions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 18:29 EDT by Emmanuel Seyman
Modified: 2009-06-30 17:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.009-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:32:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-15 18:29:07 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-p5-Palm/perl-p5-Palm.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-p5-Palm/perl-p5-Palm-1.009-1.fc11.src.rpm
Description:
This module provide functions and handlers to manipulate files used
by Palm PDAs (AddressBook, ToDo, Memo, ...).
Comment 1 Parag AN(पराग) 2009-06-16 06:45:26 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1417345
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
bb5307ff9340add0a78bf4e690adfdeef4707a92  p5-Palm-1.009.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave nothing.
+ Package perl-p5-Palm-1.009-1.fc12.noarch =>
Provides: perl(Palm) = 1.1 perl(Palm::Address) = 1.19 perl(Palm::DateTime) = 1.4 perl(Palm::Datebook) = 1.20 perl(Palm::Mail) = 1.17 perl(Palm::Memo) = 1.13 perl(Palm::PDB) = 1.36 perl(Palm::Raw) = 1.11 perl(Palm::StdAppInfo) = 1.20 perl(Palm::ToDo) = 1.12 perl(Palm::ZirePhoto) = 1.9
Requires: /usr/bin/perl perl(Exporter) perl(POSIX) perl(Palm::Address) perl(Palm::Datebook) perl(Palm::Mail) perl(Palm::Memo) perl(Palm::PDB) perl(Palm::Raw) perl(Palm::StdAppInfo) perl(Palm::ToDo) perl(constant) perl(strict) perl(vars) perl(warnings)
+ Not a GUI application

Should:
1) Consider adding examples directory to %doc

Here perl(Test::More) as requires is not needed as its only used by tests directory and we are not installing them.
APPROVED.
Comment 2 Emmanuel Seyman 2009-06-16 18:07:46 EDT
(In reply to comment #1)
>
> Should:
> 1) Consider adding examples directory to %doc

I've added the following lines to the %install section of my spec:

mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
cp -r %{_builddir}/p5-Palm-%{version}/examples $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/

> APPROVED.  

Thanks. Requesting cvs.

New Package CVS Request
=======================
Package Name: perl-p5-Palm
Short Description: Palm OS utility functions
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 3 Parag AN(पराग) 2009-06-16 23:15:32 EDT
(In reply to comment #2)
> (In reply to comment #1)
> >
> > Should:
> > 1) Consider adding examples directory to %doc
> 
> I've added the following lines to the %install section of my spec:
> 
> mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
> cp -r %{_builddir}/p5-Palm-%{version}/examples
> $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/

why to add above lines?

I just used following line in spec
%doc Changes FAQ LICENSE README TODO examples

This worked for me. What errors do you get if you will not add above lines?
Comment 4 Emmanuel Seyman 2009-06-17 00:36:19 EDT
(In reply to comment #3)
>
> I just used following line in spec
> %doc Changes FAQ LICENSE README TODO examples

ah. I always assumed that you could only have files in the %doc stanza,
not directories. This sounds much easier. Done.
Comment 5 Jason Tibbitts 2009-06-17 12:39:11 EDT
CVS done.
Comment 6 Fedora Update System 2009-06-21 11:56:01 EDT
perl-p5-Palm-1.009-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-p5-Palm-1.009-3.fc11
Comment 7 Fedora Update System 2009-06-24 15:42:01 EDT
perl-p5-Palm-1.009-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-p5-Palm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6909
Comment 8 Fedora Update System 2009-06-30 17:32:01 EDT
perl-p5-Palm-1.009-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.